/* Google Font */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins', sans-serif;
}

body{
    background:#f8f8f8;
    padding-top:90px;
}

/* Navbar */

.navbar{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    background:#ffffff;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:12px 70px;
    box-shadow:0 2px 12px rgba(0,0,0,0.08);
    z-index:999;
}

.logo img{
    height:100px;
    width:auto;
}

.menu{
    display:flex;
    list-style:none;
    gap:35px;
}

.menu li a{
    text-decoration:none;
    color:#222;
    font-size:16px;
    font-weight:500;
    transition:0.3s;
}

.menu li a:hover{
    color:#C59D36;
}

.btn{
    text-decoration:none;
    background:#C59D36;
    color:#fff;
    padding:12px 28px;
    border-radius:5px;
    font-weight:600;
    transition:0.3s;
}

.btn:hover{
    background:#a67c24;
}

.hero{
    width:100%;
    height:100vh;
    background-image:url("./image/hero-banner.PNG");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    align-items:center;
    justify-content:center;
    position:relative;
}

.hero::before{
    content:"";
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.45);
}

.hero-overlay{
    position:relative;
    z-index:2;
    text-align:center;
    color:#fff;
}

.hero-content h1{
    font-size:60px;
    font-weight:700;
    margin-bottom:15px;
}

.hero-content p{
    font-size:22px;
    margin-bottom:30px;
}

.hero-btn{
    display:inline-block;
    padding:14px 35px;
    background:#C59D36;
    color:#fff;
    text-decoration:none;
    border-radius:5px;
    font-size:18px;
    font-weight:600;
    transition:.3s;
}

.hero-btn:hover{
    background:#a67c24;
}

/* Responsive */

@media(max-width:992px){

    .navbar{
        flex-direction:column;
        padding:15px;
    }

    .menu{
        flex-wrap:wrap;
        justify-content:center;
        gap:18px;
        margin:15px 0;
    }

    .btn{
        margin-top:10px;
    }

    body{
        padding-top:170px;
    }

     .hero-content h1{
        font-size:36px;
    }

    .hero-content p{
        font-size:18px;
    }

}

.about{
    padding:100px 8%;
    background:#f8f6f2;
}

.container{
    max-width:1200px;
    margin:auto;
}

.section-title{
    text-align:center;
    margin-bottom:50px;
}

.section-title span{
    color:#c79b33;
    font-size:18px;
    letter-spacing:2px;
    text-transform:uppercase;
    font-weight:600;
}

.section-title h2{
    font-size:42px;
    margin:10px 0;
    color:#222;
    font-weight:700;
}

.line{
    width:80px;
    height:4px;
    background:#c79b33;
    margin:18px auto;
    border-radius:20px;
}

.about-content{
    background:#fff;
    padding:50px;
    border-radius:15px;
    box-shadow:0 15px 40px rgba(0,0,0,.08);
}

.about-content p{
    font-size:18px;
    line-height:1.9;
    color:#555;
    margin-bottom:22px;
}

.about-content span{
    color:#c79b33;
    font-weight:700;
}

.about-content strong{
    color:#222;
}

@media(max-width:768px){

    .about{
        padding:70px 20px;
    }

    .section-title h2{
        font-size:32px;
    }

    .about-content{
        padding:30px;
    }

    .about-content p{
        font-size:16px;
    }

}

/* Amenities */

.amenities{
    padding:100px 8%;
    background:#ffffff;
}

.container{
    max-width:1200px;
    margin:auto;
}

.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title span{
    color:#C79B33;
    text-transform:uppercase;
    letter-spacing:2px;
    font-weight:600;
}

.section-title h2{
    font-size:42px;
    margin:10px 0;
    color:#222;
}

.line{
    width:80px;
    height:4px;
    background:#C79B33;
    margin:18px auto;
    border-radius:20px;
}

.amenities-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
}

.amenity-card{
    background:#fff;
    border-radius:15px;
    overflow:hidden;
    box-shadow:0 15px 40px rgba(0,0,0,.08);
    transition:.4s;
    cursor:pointer;
}

.amenity-card:hover{
    transform:translateY(-10px);
}

.amenity-card img{
    width:100%;
    height:220px;
    object-fit:cover;
}

.amenity-card h3{
    text-align:center;
    padding:20px;
    color:#222;
    font-size:20px;
    font-weight:600;
}

@media(max-width:768px){

    .amenities{
        padding:70px 20px;
    }

    .section-title h2{
        font-size:32px;
    }

    .amenity-card img{
        height:200px;
    }

}

/* ==========================
      Gallery Section
========================== */

.gallery{
    padding:100px 8%;
    background:#f8f8f8;
}

.container{
    max-width:1300px;
    margin:auto;
}

.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title span{
    color:#C89B3C;
    font-size:18px;
    font-weight:600;
    letter-spacing:2px;
    text-transform:uppercase;
}

.section-title h2{
    font-size:42px;
    margin:10px 0;
    color:#222;
}

.line{
    width:90px;
    height:4px;
    background:#C89B3C;
    margin:18px auto;
    border-radius:20px;
}


/* Gallery Grid */

.gallery-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(320px,1fr));
    gap:30px;
}


/* Gallery Card */

.gallery-item{
    background:#fff;
    padding:12px;
    border-radius:18px;
    overflow:hidden;

    box-shadow:
        0 10px 30px rgba(0,0,0,.08),
        0 2px 8px rgba(0,0,0,.04);

    transition:.4s;
}

.gallery-item:hover{
    transform:translateY(-10px);
    box-shadow:
        0 20px 45px rgba(0,0,0,.15);
}

.gallery-item img{
    width:100%;
    height:280px;
    object-fit:cover;
    border-radius:12px;
    transition:.5s;
}

.gallery-item:hover img{
    transform:scale(1.08);
}


/* Mobile */

@media(max-width:768px){

.gallery{
    padding:70px 20px;
}

.section-title h2{
    font-size:32px;
}

.gallery-grid{
    grid-template-columns:1fr;
}

.gallery-item img{
    height:240px;
}

}

/*============================
      FLOOR PLAN SECTION
=============================*/

.floor-plan{
    padding:100px 8%;
    background:#f8f8f8;
}

.floor-grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(360px,1fr));
    gap:35px;
}

.floor-card{

    background:#fff;

    border-radius:20px;

    overflow:hidden;

    box-shadow:
        0 10px 25px rgba(0,0,0,.08),
        0 20px 45px rgba(0,0,0,.05);

    transition:.4s;

    position:relative;
}

.floor-card:hover{

    transform:translateY(-12px);

    box-shadow:
        0 20px 50px rgba(0,0,0,.18);

}

.floor-card img{

    width:100%;

    height:520px;

    object-fit:cover;

    transition:.5s;

}

.floor-card:hover img{

    transform:scale(1.05);

}

.floor-content{

    padding:25px;

    text-align:center;

    background:white;

}

.floor-content h3{

    font-size:24px;

    color:#222;

    margin-bottom:18px;

}

.floor-content a{

    display:inline-block;

    padding:12px 30px;

    background:#C89B3C;

    color:#fff;

    text-decoration:none;

    border-radius:30px;

    transition:.3s;

    font-weight:600;

}

.floor-content a:hover{

    background:#9d7420;

}


/* Responsive */

@media(max-width:768px){

.floor-grid{

grid-template-columns:1fr;

}

.floor-card img{

height:420px;

}

}

/*==========================
      TYPICAL FLOOR PLAN
==========================*/

.floor-design{
    padding:100px 8%;
    background:#f8f8f8;
}

.container{
    max-width:1400px;
    margin:auto;
}

.section-title{
    text-align:center;
    margin-bottom:50px;
}

.section-title span{
    color:#C89B3C;
    text-transform:uppercase;
    letter-spacing:2px;
    font-size:18px;
    font-weight:600;
}

.section-title h2{
    font-size:44px;
    color:#222;
    margin:12px 0;
}

.line{
    width:90px;
    height:4px;
    background:#C89B3C;
    margin:0 auto;
    border-radius:50px;
}

.floor-image{
    background:#fff;
    padding:25px;
    border-radius:20px;
    box-shadow:0 15px 45px rgba(0,0,0,.10);
    overflow:hidden;
}

.floor-image img{
    width:100%;
    display:block;
    border-radius:15px;
    transition:.5s ease;
}

.floor-image:hover img{
    transform:scale(1.02);
}

@media(max-width:768px){

    .floor-design{
        padding:70px 20px;
    }

    .section-title h2{
        font-size:32px;
    }

    .floor-image{
        padding:15px;
    }

}

/*==========================
      LOCATION MAP
===========================*/

.location{
    padding:100px 8%;
    background:#fff;
}

.location .container{
    max-width:1400px;
    margin:auto;
}

.location-card{
    background:#fff;
    padding:20px;
    border-radius:20px;
    overflow:hidden;
    box-shadow:0 15px 45px rgba(0,0,0,.10);
    transition:.4s;
}

.location-card:hover{
    transform:translateY(-8px);
    box-shadow:0 20px 60px rgba(0,0,0,.15);
}

.location-card img{
    width:100%;
    display:block;
    border-radius:15px;
    transition:.5s;
}

.location-card:hover img{
    transform:scale(1.02);
}

@media(max-width:768px){

.location{
    padding:70px 20px;
}

.location-card{
    padding:12px;
}

}

/*=========================
       CONTACT SECTION
=========================*/

.contact{
    padding:100px 8%;
    background:#f7f7f7;
}

.contact .container{
    max-width:1100px;
    margin:auto;
}

.contact-box{
    background:#fff;
    padding:50px;
    border-radius:20px;
    box-shadow:0 20px 50px rgba(0,0,0,.08);
}

.input-row{
    display:flex;
    gap:25px;
    margin-bottom:25px;
}

.input-box{
    flex:1;
}

.input-box input,
.input-box select,
.input-box textarea{

    width:100%;

    padding:18px;

    border:1px solid #ddd;

    border-radius:8px;

    outline:none;

    font-size:16px;

    transition:.3s;

    background:#fff;
}

.input-box input:focus,
.input-box select:focus,
.input-box textarea:focus{

    border-color:#C89B3C;

    box-shadow:0 0 10px rgba(200,155,60,.2);

}

textarea{
    resize:none;
}

.checkbox{

    display:flex;

    gap:10px;

    margin:25px 0;

    align-items:flex-start;

}

.checkbox label{

    font-size:15px;

    line-height:1.7;

    color:#555;

}

button{

    background:#C89B3C;

    color:#fff;

    border:none;

    padding:16px 45px;

    font-size:17px;

    border-radius:40px;

    cursor:pointer;

    transition:.3s;

    font-weight:600;

}

button:hover{

    background:#9d7420;

    transform:translateY(-3px);

    box-shadow:0 10px 25px rgba(0,0,0,.15);

}

/* Responsive */

@media(max-width:768px){

.contact-box{
padding:30px;
}

.input-row{
flex-direction:column;
gap:20px;
}

button{
width:100%;
}

}

/*==========================
        FOOTER
===========================*/

.footer{

    background:#111;

    color:#fff;

    padding:70px 8% 25px;

}

.footer .container{

    max-width:1300px;

    margin:auto;

}

.footer-grid{

    display:grid;

    grid-template-columns:2fr 1fr 1fr 1.5fr;

    gap:40px;

}

.footer-logo{

    width:180px;

    margin-bottom:20px;

    background:#fff;

    padding:10px;

    border-radius:10px;

}

.footer-box h3{

    color:#C89B3C;

    margin-bottom:20px;

    font-size:22px;

}

.footer-box p{

    color:#ddd;

    line-height:1.8;

    margin-bottom:12px;

    font-size:15px;

}

.footer-box ul{

    list-style:none;

}

.footer-box ul li{

    margin-bottom:12px;

}

.footer-box ul li a{

    color:#ddd;

    text-decoration:none;

    transition:.3s;

}

.footer-box ul li a:hover{

    color:#C89B3C;

    padding-left:8px;

}

.footer hr{

    margin:40px 0 20px;

    border:none;

    height:1px;

    background:#333;

}

.footer-bottom{

    text-align:center;

}

.footer-bottom p{

    color:#aaa;

    font-size:15px;

}

/* Responsive */

@media(max-width:992px){

.footer-grid{

grid-template-columns:repeat(2,1fr);

}

}

@media(max-width:768px){

.footer{

padding:60px 20px 20px;

}

.footer-grid{

grid-template-columns:1fr;

text-align:center;

}

.footer-logo{

margin:auto auto 20px;

}

}